import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IReviewRating } from '../review-rating.model';

@Component({
  selector: 'jhi-review-rating-detail',
  templateUrl: './review-rating-detail.component.html',
})
export class ReviewRatingDetailComponent implements OnInit {
  reviewRating: IReviewRating | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ reviewRating }) => {
      this.reviewRating = reviewRating;
    });
  }

  previousState(): void {
    window.history.back();
  }
}
