package at.ac.uibk.gitsearch.domain;

import static org.assertj.core.api.Assertions.assertThat;

import at.ac.uibk.gitsearch.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

public class UserWatchListTest {

    @Test
    public void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(UserWatchList.class);
        UserWatchList userWatchList1 = new UserWatchList();
        userWatchList1.setId(1L);
        UserWatchList userWatchList2 = new UserWatchList();
        userWatchList2.setId(userWatchList1.getId());
        assertThat(userWatchList1).isEqualTo(userWatchList2);
        userWatchList2.setId(2L);
        assertThat(userWatchList1).isNotEqualTo(userWatchList2);
        userWatchList1.setId(null);
        assertThat(userWatchList1).isNotEqualTo(userWatchList2);
    }
}
