import { NgModule } from '@angular/core';
import { SharedModule } from 'app/shared/shared.module';
import { UserWatchListComponent } from './list/user-watch-list.component';
import { UserWatchListDetailComponent } from './detail/user-watch-list-detail.component';
import { UserWatchListUpdateComponent } from './update/user-watch-list-update.component';
import { UserWatchListDeleteDialogComponent } from './delete/user-watch-list-delete-dialog.component';
import { UserWatchListRoutingModule } from './route/user-watch-list-routing.module';

@NgModule({
  imports: [SharedModule, UserWatchListRoutingModule],
  declarations: [UserWatchListComponent, UserWatchListDetailComponent, UserWatchListUpdateComponent, UserWatchListDeleteDialogComponent],
  entryComponents: [UserWatchListDeleteDialogComponent],
})
export class UserWatchListModule {}
