package at.ac.uibk.gitsearch.service.mapper;

import static org.assertj.core.api.Assertions.assertThat;

import at.ac.uibk.gitsearch.domain.Review;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class ReviewMapperTest {

    private ReviewMapper reviewMapper;

    @BeforeEach
    public void setUp() {
        reviewMapper = new ReviewMapperImpl();
    }

    @Test
    public void testReviewMapper() {
        Review l = new Review().requestedBy(25L).link("some link");
        Review lMapped = reviewMapper.toEntity(reviewMapper.toDto(l));

        assertThat(lMapped.getRequestedBy()).isEqualTo(25L);
        assertThat(lMapped.getLink()).isEqualTo("some link");
    }
}
